## bioperl 0.05.1-1

=== debian/changelog ===
bioperl (0.05.1-1) unstable; urgency=low

  * Complies with the new Perl policy. Closes #40564
  * New upstream release

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed,  7 Jul 1999 14:49:16 +0200

bioperl (0.05-1) unstable; urgency=low

  * Initial Release.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed, 19 May 1999 11:35:30 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "bortzmeyer@debian.org"
End:
