=== debian/control ===
Source: bioperl
Section: misc
Priority: optional
Maintainer: Stephane Bortzmeyer <bortzmeyer@debian.org>
Standards-Version: 2.4.0.0

Package: bioperl
Architecture: all
Depends: perl|perl5,readseq
Recommends: libwww-perl,libhtml-parser-perl
Description: [Biology] Perl tools for computational molecular biology
 The Bioperl project is a coordinated effort to collect computational methods
 routinely used in bioinformatics into a set of standard CPAN-style,
 well-documented, and freely available Perl modules.
