## bioperl 1.6.901

=== debian/changelog ===
bioperl (1.6.901-2) unstable; urgency=low

  [ Luca Capello ]
  * debian/control:
    + add Recommends: to some libraries already in libbio-perl-perl's
      for binaries showing help output (Closes: #650412).
  * debian/README.Debian:
    + new file with a more detailed explanation about the above.

  [ Andreas Tille ]
  * debian/source/format: 3.0 (quilt)
  * Added myself to Uploaders

 -- Andreas Tille <tille@debian.org>  Wed, 14 Dec 2011 09:11:41 +0100

bioperl (1.6.901-1) unstable; urgency=low

  * New upstream release.
  * Point debian/watch to search.cpan.org.
  * Build using dh and overrides:
    - Use Debhelper 8 (debian/rules, debian/control).
    - Simplified debian/rules.
  * Split into libbio-perl-perl, as discussed with the Debian Perl team.
    (debian/control, debian/bioperl.install, debian libbio-perl-perl.install)
  * debian/control:
    - Incremented Standards-Version to reflect conformance with Policy 3.9.2.
      No other changes needed.
    - Vcs-Browser URL made redirectable to viewvc.
    - Removed useless ‘svn’ in the Vcs-Svn URL.

 -- Charles Plessy <plessy@debian.org>  Fri, 17 Jun 2011 13:51:18 +0900

bioperl (1.6.1-2) unstable; urgency=low

  * Removed bibliographic information from the long description
    (debian/control).
  * Incremented Standards-Version to reflect conformance with Policy 3.8.4
    (debian/control, no changes needed).
  * Build-depends on libxml-sax-expatxs-perl to avoid downloading DTDs during
    the tests and therefore fail when network is not available
    (debian/control, Closes: #562442).
  * Depend on the ${misc:Depends} substvar (debian/control).

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Feb 2010 23:52:23 +0900

bioperl (1.6.1-1) unstable; urgency=low

  * New upstream release with new features and many corrections in the
    test suite (Closes: #533976).
  * debian/rules: trigger network tests with DEB_MAINTAINER_MODE.
  * debian/control:
    - Build-depend on perl-modules >= 5.10.1 to have ExtUtils::Manifest 1.52 or
      higher, and on libtest-pod-perl.
    - Added liblist-moreutils-perl, libspreadsheet-writeexcel-perl,
      libsvg-perl, and libxml-simple-perl, libdbd-pg-perl, libdbd-mysql-perl,
      libdbd-sqlite3-perl to build and package dependencies (needed by some
      components of Bioperl, and therefore for the tests).

 -- Charles Plessy <plessy@debian.org>  Wed, 30 Sep 2009 18:56:42 +0900

bioperl (1.6.0-3) unstable; urgency=low

  [ David Paleino ]
  * Removed myself from Uploaders

  [ Charles Plessy ]
  * debian/control:
    - Added libdata-stag-perl in bioperl’s Depends field, since it is
      required in Build.PL.
    - Added libxml-simple-perl in bioperl’s Recommends and Build-Depends
      fields, since they are listed in DEPENDENCIES.
    - Incremented Standards-Version to reflect conformance with Policy 3.8.3
      (no changes needed).
  * Collected some informations in debian/upstream-metadata.yaml.

 -- Charles Plessy <plessy@debian.org>  Fri, 18 Sep 2009 20:23:51 +0900

bioperl (1.6.0-2) unstable; urgency=low

  * Removed patch system (not used):
    - removed instructions in debian/rules;
    - removed quilt from Build-Depends in debian/control.
  * Re-enabled tests:
    - uncommented test command in debian/rules;
    - uncommented previously missing build-dependencies in debian/control.
    - Re-enabled tests and uncommented build-dependencies accordingly.
  * Removed libmodule-build-perl and libtest-harness-perl from
    Build-Depends-Indep (provided by perl-modules).
  * Better cleaning of empty directories using find -type d -empty -delete
    instead of rmdir in debian/rules (LP: #324001).

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Mar 2009 07:19:11 +0100

bioperl (1.6.0-1) experimental; urgency=low

  [ Charles Plessy ]
  * debian/control
    - Updated dependencies according to the new upstream release.
    - Added the CPAN dependencies of BioPerl to Build-Depends-Indep in order to
      run the tests at build time.
    - Added bioperl-run to the recommended packages.
    - Updated my email address.
    - Uses Debhelper 7 (debian/compat modified accordingly).
  * debian/patches: removed as not needed (no downloads by default).
  * debian/rules:
    - Uses Build.PL instead of Makefile.PL.
    - Tests disabled for the experimental upload: not all dependencies are
      available yet.
  * debian/README.{Debian,source}: removed as not needed anymore
  * debian/watch: BioPerl is now mixed case.

  [ David Paleino ]
  * New upstream stable release:
    - fixes Bio::AlignIO::next_aln bug (Closes: #266921).
    - New modules, deprecated modules,… please consult Upstream documents in
      /usr/share/doc/bioperl.
  * debian/control:
    - fields values rewrapped to easily spot diffs in commit mails
    - dropped B-D-I versioning on perl, since Etch already has a greater 
      version
    - Standards-Version bumped to 3.8.0 (no changes needed).

 -- Charles Plessy <plessy@debian.org>  Mon, 26 Jan 2009 12:58:28 +0900

bioperl (1.5.2.102-3) unstable; urgency=low

  * debian/control:
    - Removed MIA Matt Hope (dopey) from the Uploaders field.
      Thank you for your work, Matt. I hope you are doing well.
    - Downgraded some recommended package to the 'Suggests' priority,
      according to the following discussion on Upstream's mail list.
      http://bioperl.org/pipermail/bioperl-l/2008-March/027379.html
      (Closes: #448890)
  * debian/copyright converted to machine-readable format.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Tue, 18 Mar 2008 14:44:57 +0900

bioperl (1.5.2.102-2) unstable; urgency=low

  [ Steffen Moeller ]
  * Added reference to libsvg-graph-perl (Closes: #342475).

  [ Nelson A. de Oliveira ]
  * debian/control:
    - Removed the XS- prefix from Vcs-Browser and Vcs-Svn
    - Moved debhelper and quilt from Build-Depends-Indep to Build-Depends
  * Updated debian/copyright

  [ David Paleino ]
  * debian/control:

