=== debian/control ===
Source: bioperl
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>,
 Steffen Moeller <moeller@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: perl, perl-modules (>= 5.10.1),
 libio-string-perl,
 libdata-stag-perl,
# Recommended in Build.PL (we want them to run the tests)
 libace-perl,
 libalgorithm-munkres-perl,
 libarray-compare-perl,
 libbio-asn1-entrezgene-perl,
 libclone-perl,
 libconvert-binary-c-perl,
 libdbd-sqlite3-perl,
 libdbd-mysql-perl,
 libdbd-pg-perl,
 libgraph-perl,
 libgraphviz-perl,
 libhtml-parser-perl,
 liblist-moreutils-perl,
# (non-free) libmath-random-perl,
 libpostscript-perl,
 libset-scalar-perl,
 libsoap-lite-perl,
 libsort-naturally-perl,
 libspreadsheet-parseexcel-perl,
 libspreadsheet-writeexcel-perl,
 libstorable-perl,
 libsvg-perl,
 libsvg-graph-perl,
 libtest-pod-perl,
 liburi-perl,
 libxml-dom-xpath-perl,
 libxml-parser-perl,
 libxml-sax-perl,
 libxml-sax-writer-perl,
 libxml-twig-perl,
 libxml-simple-perl,
 libxml-writer-perl,
 libxml-libxml-perl,
 libwww-perl,
# Needed to avoid downloading DTDs during the tests and therefore fail when network is not available:
 libxml-sax-expatxs-perl
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/viewvc/debian-med/trunk/packages/bioperl/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/bioperl/trunk/
Homepage: http://www.bioperl.org/

Package: bioperl
Architecture: all
Depends: libbio-perl-perl ( = ${source:Version} ), ${misc:Depends}, ${perl:Depends}
Recommends: bioperl-run ( >= 1.6.0 ),
# for the following see #650412
# most of `binary -help` outputs
 perl-doc,
# some libraries already in libbio-perl-perl's Recommends:
# bp_biofetch_genbank_proxy
 libhttp-message-perl,
 libwww-perl,
 libcache-cache-perl,
# bp_blast2tree
 libbio-perl-run-perl,
# bp_bulk_load_gff
 libdbi-perl,
# bp_chaos_plot
 libgd-gd2-perl,
# bp_das_server
 libapache-dbi-perl,
# bp_download_query_genbank
 liburi-perl,
# bp_einfo
#	liburi-perl
#	libhttp-message-perl
 libxml-simple-perl,
# bp_fast_load_gff
#	libdbi-perl
# bp_fetch [not for local indexing]
# bp_flanks
#	libhttp-message-perl
# bp_genbank2gff
#	libhttp-message-perl
#	libdbi-perl
# bp_genbank2gff3
 libyaml-perl,
# bp_hivq
#	libhttp-message-perl
#	libxml-simple-perl
# bp_meta_gff
#	libdbi-perl
# bp_netinstall
# bp_pairwise_kaks
#	libbio-perl-run-perl
# bp_process_wormbase
 libace-perl,
# bp_query_entrez_taxa
# bp_remote_blast
# bp_revtrans-motif
 liblist-moreutils-perl,
# bp_taxid4species
 libxml-twig-perl,
# bp_taxonomy2tree
 libset-scalar-perl
Suggests: groff-base
Description: Perl tools for computational molecular biology
 The Bioperl project is a coordinated effort to collect computational methods
 routinely used in bioinformatics into a set of standard CPAN-style,
 well-documented, and freely available Perl modules. It is well-accepted
 throughout the community and used in many high-profile projects, e.g.,
 Ensembl.
 .
 The recommended packages are needed to run some of the included
 binaries, for a detailed explanation including the specific Perl
 modules please see README.Debian.
 .
 The suggested package enhances the manual pages.

Package: libbio-perl-perl
Section: perl
Architecture: all
Depends: libio-string-perl, libdata-stag-perl, ${misc:Depends}, ${perl:Depends}
Replaces: bioperl ( << 1.6.9 )
Breaks: bioperl ( << 1.6.9 )
# Temporary workaround as bioperl-run has not been split
Recommends: bioperl-run ( >= 1.6.0 ) | libbio-perl-run-perl ( >= 1.6.0 ),
# Recommended in Build.PL
 libace-perl,
 libalgorithm-munkres-perl,
 libarray-compare-perl,
 libbio-asn1-entrezgene-perl,
 libclone-perl,
 libconvert-binary-c-perl,
 libdbd-sqlite3-perl,
 libdbd-mysql-perl,
 libdbd-pg-perl,
 libgraph-perl,
 libgraphviz-perl,
 libhtml-parser-perl,
 liblist-moreutils-perl,
# (non-free) libmath-random-perl,
 libpostscript-perl,
 libset-scalar-perl,
 libsoap-lite-perl,
 libsort-naturally-perl,
 libspreadsheet-parseexcel-perl,
 libspreadsheet-writeexcel-perl,
 libstorable-perl,
 libsvg-perl,
 libsvg-graph-perl,
 liburi-perl,
 libxml-dom-xpath-perl,
 libxml-parser-perl,
 libxml-sax-perl,
 libxml-sax-writer-perl,
 libxml-simple-perl,
 libxml-twig-perl,
 libxml-writer-perl,
 libxml-libxml-perl,
 libwww-perl
Suggests: bioperl,
 libmath-random-perl,
# libmath-random-perl is non-free.
 libxml-sax-expatxs-perl
# Needed to avoid downloading DTDs.
Description: BioPerl core perl modules
 BioPerl is a toolkit of perl modules useful in building bioinformatics
 solutions in Perl. It is built in an object-oriented manner so that many
 modules depend on each other to achieve a task. The collection of modules in
 libbio-perl-perl consist of the core of the functionality of bioperl.
