## bioperl 1.6.923

=== debian/changelog ===
bioperl (1.6.923-1) unstable; urgency=medium

  * New upstream release.
  * Does not need non-free libmath-random-perl anymore.
  * Build-depend on libmodule-build-perl (>= 0.420000).  Despite Lintian's
    warning that it is useless, the package does not build without.
  * Conforms to Policy version 3.9.5.

 -- Charles Plessy <plessy@debian.org>  Sat, 18 Jan 2014 11:41:11 +0900

bioperl (1.6.922-1) unstable; urgency=low

  * New upstream release.
  * Replaces and Breaks grinder (<< 0.5.3-3~) because of overlaping contents.
    Closes: #722910
  * Stop Replacing and Breaking bioperl ( << 1.6.9 ): not needed anymore. 

 -- Charles Plessy <plessy@debian.org>  Sun, 22 Sep 2013 13:39:48 +0900

bioperl (1.6.920-1) unstable; urgency=low

  * New upstream release (Closes: #720776)
  * Adjusted Depends and Recommends (4 additions).
  * Removed patch ‘fix_berkeleydb3_temp_file_creation’ applied upstream.
  * Use canonical VCS URLs. 

 -- Charles Plessy <plessy@debian.org>  Sun, 08 Sep 2013 20:56:00 +0900

bioperl (1.6.901-4) unstable; urgency=low

  * debian/upstream: Add additional citation data
  [ Olivier Sallou ]
  * add missing dependency
  * Switch to standards 3.9.4

 -- Andreas Tille <tille@debian.org>  Tue, 08 May 2012 23:06:09 +0200

bioperl (1.6.901-3) unstable; urgency=low

  * Team upload.
    [ Olivier Sallou ]
    + add patch fix_berkeleydb3_temp_file_creation (Closes: #661793).
      Fixed upstream for next release. 
    * debian/control: update Standards version
    * debian/copyright: update Format to latest officiel URL v1.0
    * debian/patches/fix_examples_perl_location: fix wrong perl location
    * debian/rules: fix file access rights in dh_install

 -- Olivier Sallou <osallou@debian.org>  Fri, 02 Mar 2012 11:10:36 +0100
