=== debian/control ===
--- 
+++ 
@@ -2,29 +2,34 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>,
  Steffen Moeller <moeller@debian.org>,
- Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8)
+ Andreas Tille <tille@debian.org>,
+ Olivier Sallou <osallou@debian.org>
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: perl, perl-modules (>= 5.10.1),
+# Unnecessary according to lintian, but building with sbuild shows the contrary.
+ libmodule-build-perl (>= 0.420000),
  libio-string-perl,
  libdata-stag-perl,
+ libtest-most-perl,
 # Recommended in Build.PL (we want them to run the tests)
  libace-perl,
  libalgorithm-munkres-perl,
  libarray-compare-perl,
  libbio-asn1-entrezgene-perl,
+ libbio-samtools-perl,
  libclone-perl,
  libconvert-binary-c-perl,
  libdbd-sqlite3-perl,
  libdbd-mysql-perl,
  libdbd-pg-perl,
+ libgd-perl,
  libgraph-perl,
  libgraphviz-perl,
  libhtml-parser-perl,
+ libhtml-tableextract-perl,
  liblist-moreutils-perl,
-# (non-free) libmath-random-perl,
  libpostscript-perl,
  libset-scalar-perl,
  libsoap-lite-perl,
@@ -47,9 +52,9 @@
  libwww-perl,
 # Needed to avoid downloading DTDs during the tests and therefore fail when network is not available:
  libxml-sax-expatxs-perl
-Standards-Version: 3.9.2
-Vcs-Browser: http://svn.debian.org/viewvc/debian-med/trunk/packages/bioperl/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/bioperl/trunk/
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/bioperl/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/bioperl/trunk/
 Homepage: http://www.bioperl.org/
 
 Package: bioperl
@@ -124,8 +129,8 @@
 Section: perl
 Architecture: all
 Depends: libio-string-perl, libdata-stag-perl, ${misc:Depends}, ${perl:Depends}
-Replaces: bioperl ( << 1.6.9 )
-Breaks: bioperl ( << 1.6.9 )
+Replaces: grinder (<< 0.5.3-3~)
+Breaks: grinder (<< 0.5.3-3~)
 # Temporary workaround as bioperl-run has not been split
 Recommends: bioperl-run ( >= 1.6.0 ) | libbio-perl-run-perl ( >= 1.6.0 ),
 # Recommended in Build.PL
@@ -138,11 +143,12 @@
  libdbd-sqlite3-perl,
  libdbd-mysql-perl,
  libdbd-pg-perl,
+ libgd-perl,
  libgraph-perl,
  libgraphviz-perl,
  libhtml-parser-perl,
+ libhtml-tableextract-perl,
  liblist-moreutils-perl,
-# (non-free) libmath-random-perl,
  libpostscript-perl,
  libset-scalar-perl,
  libsoap-lite-perl,
@@ -163,8 +169,6 @@
  libxml-libxml-perl,
  libwww-perl
 Suggests: bioperl,
- libmath-random-perl,
-# libmath-random-perl is non-free.
  libxml-sax-expatxs-perl
 # Needed to avoid downloading DTDs.
 Description: BioPerl core perl modules
