## bioperl 1.6.924

=== debian/changelog ===
bioperl (1.6.924-3) unstable; urgency=medium

  * Fix FTBFS with perl 5.22
    Closes: #796259
  * Standards-Version: 3.9.6

 -- Andreas Tille <tille@debian.org>  Thu, 20 Aug 2015 23:11:32 +0200

bioperl (1.6.924-2) unstable; urgency=medium

  * d/control: add perl-modules for perl 5.22 transition
               (Closes: #790305). 

 -- Olivier Sallou <osallou@debian.org>  Mon, 29 Jun 2015 09:05:22 +0200

bioperl (1.6.924-1) unstable; urgency=medium

  * New upstream release.

 -- Charles Plessy <plessy@debian.org>  Sun, 13 Jul 2014 19:16:01 +0900
