=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Andreas Tille <tille@debian.org>,
  Olivier Sallou <osallou@debian.org>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: perl, perl-modules (>= 5.10.1),
+Build-Depends-Indep: perl,
 # Unnecessary according to lintian, but building with sbuild shows the contrary.
  libmodule-build-perl (>= 0.420000),
  libio-string-perl,
@@ -19,6 +19,7 @@
  libarray-compare-perl,
  libbio-asn1-entrezgene-perl,
  libbio-samtools-perl,
+ libcgi-pm-perl | perl (<< 5.19),
  libclone-perl,
  libconvert-binary-c-perl,
  libdbd-sqlite3-perl,
@@ -52,7 +53,7 @@
  libwww-perl,
 # Needed to avoid downloading DTDs during the tests and therefore fail when network is not available:
  libxml-sax-expatxs-perl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/bioperl/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/bioperl/trunk/
 Homepage: http://www.bioperl.org/
