=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	# prename is the rename utility written in perl usually available as /usr/bin/rename in Debian.
 	prename s/.pl$$// debian/bioperl/usr/bin/*pl
 	prename s/.pl.1p$$/.1p/ debian/bioperl/usr/share/man/man1/*1p
+	chmod 644 debian/libbio-perl-perl/usr/share/perl5/Bio/DB/HIV/lanl-schema.xml
 
 override_dh_installchangelogs:
 	dh_installchangelogs Changes
