=== debian/watch ===
version=3
http://search.cpan.org/dist/BioPerl/   .*/BioPerl-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
